<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>View All Resolved Requests · Reployee</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-giJF6kkoqNQ00vy+HMDP7azOuL0xtbfIcaT9wjKHr8RbDVddVHyTfAAsrekwKmP1" crossorigin="anonymous">
    <link rel="stylesheet" href="../styles/styles.css">
</head>
<body>
    <nav class="navbar navbar-expand-md navbar-light bg-light">
        <div class="container-xxl">
            <a class="navbar-brand" href="#">
                <img src="../images/Reployee_Logo.jpg" alt="" width="30" height="30" class="d-inline-block align-top">
                <strong>Reployee</strong>
            </a>
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarSupportedContent">
              <ul class="navbar-nav">
                <li class="nav-item">
                  <a class="nav-link" href="manager_home.html">Manager Dashboard</a>
                </li>
                <li class="nav-item">
                  <a class="nav-link" href="resolve_pending_requests.html">Resolve Pending Requests</a>
                </li>
                <li class="nav-item">
                  <a class="nav-link" href="view_all_pending.html">View All Pending Requests</a>
                </li>
                <li class="nav-item">
                  <a class="nav-link active" aria-current="page">View All Resolved Requests</a>
                </li>
              </ul>

              <div class="dropdown ms-auto">
                <a class="dropdown-toggle text-decoration-none" href="#" id="navbarDropdown" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                  Guest
                </a>
                <ul class="dropdown-menu dropdown-menu-end" aria-labelledby="navbarDropdown">
                  <!-- <li><a class="dropdown-item" href="#">Profile</a></li>
                  <li><hr class="dropdown-divider"></li> -->
                  <li><button class="dropdown-item" type="button" id="logout-btn">Logout</button></li>
                </ul>
              </div>
            </div>
        </div>
    </nav>

    <div class="container-xxl">
        <div class="row my-5">
            <div class="col">
                <h1 class="display-6 text-center text-white">View All Resolved Requests</h1>
            </div>
        </div>

        <div class="row mb-5 align-items-center justify-content-center">
            <div class="col-10">
                <div class="card" id="main-resolved-content" hidden>
                    <div class="card-body">

                        <div class="my-4" id="no-resolved-requests" hidden>
                            <h4 class="card-title text-center">There are currently no resolved requests.</h4>
                            <div class="d-grid gap-2 col-6 mt-4 mx-auto"> 
                                <a class="btn btn-success" href="manager_home.html">Back to Dashboard</a>
                            </div>
                        </div>

                        <div class="my-4" id="retrieval-error" hidden>
                          <h4 class="card-title text-center">A problem occurred while trying to retrieve all resolved requests. Please try again later.</h4>
                          <div class="d-grid gap-2 col-6 mt-4 mx-auto"> 
                              <a class="btn btn-danger" href="manager_home.html">Back to Dashboard</a>
                          </div>
                        </div>
                        
                        <table class="table table-hover my-4" id="resolved-requests-table">
                            <thead>
                              <tr>
                                <th scope="col"><div class="text-end">Request ID</div></th>
                                <th scope="col">Employee Name</th>
                                <th scope="col"><div class="text-end">Purchase Date</div></th>
                                <th scope="col">Description</th>
                                <th scope="col"><div class="text-end">Total Cost (USD)</div></th>
                                <th scope="col">Status</th>
                                <th scope="col">Resolved By</th>
                              </tr>
                            </thead>
                            <tbody id="resolved-requests-body">
                            </tbody>
                        </table>

                    </div>
                </div>
            </div>
        </div>
    </div>
    
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/js/bootstrap.bundle.min.js" integrity="sha384-ygbV9kiqUc6oa4msXn9868pTtWMgiQaeYH7/t7LECLbyPA2x65Kgf80OJFdroafW" crossorigin="anonymous"></script>
    <script src="../scripts/ajax_requests.js"></script>
    <script src="../scripts/redirect_to_login.js"></script>
    <script src="../scripts/get_all_resolved_requests.js"></script>
    <script src="../scripts/logout.js"></script>
</body>
</html>